# Class DepositRequest

#### Hierarchy

- unknown
  - DepositRequest

- Defined in src/protobuf/pb_pb.d.ts:1255
- Defined in src/protobuf/pb_pb.d.ts:1289

#####
Index

### Constructors

constructor

### Methods

getContractSignature
getContractSignature_asB64
getContractSignature_asU8
getCurrentDate
getDepositTxHex
getDepositTxKey
getPaymentAccountKey
getPaymentAccountKey_asB64
getPaymentAccountKey_asU8
getTradeId
getUid
serializeBinary
setContractSignature
setCurrentDate
setDepositTxHex
setDepositTxKey
setPaymentAccountKey
setTradeId
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new DepositRequest(): DepositRequest

- #### Returns DepositRequest

  Inherited from jspb.Message.constructor

## Methods

### getContractSignature

- getContractSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1265

### getContractSignature_asB64

- getContractSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1267

### getContractSignature_asU8

- getContractSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1266

### getCurrentDate

- getCurrentDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1262

### getDepositTxHex

- getDepositTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1270

### getDepositTxKey

- getDepositTxKey(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1273

### getPaymentAccountKey

- getPaymentAccountKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1276

### getPaymentAccountKey_asB64

- getPaymentAccountKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1278

### getPaymentAccountKey_asU8

- getPaymentAccountKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1277

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1256

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1259

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1281

### setContractSignature

- setContractSignature(value: string | Uint8Array): DepositRequest

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DepositRequest

  - Defined in src/protobuf/pb_pb.d.ts:1268

### setCurrentDate

- setCurrentDate(value: number): DepositRequest

- #### Parameters

  - ##### value: number

  #### Returns DepositRequest

  - Defined in src/protobuf/pb_pb.d.ts:1263

### setDepositTxHex

- setDepositTxHex(value: string): DepositRequest

- #### Parameters

  - ##### value: string

  #### Returns DepositRequest

  - Defined in src/protobuf/pb_pb.d.ts:1271

### setDepositTxKey

- setDepositTxKey(value: string): DepositRequest

- #### Parameters

  - ##### value: string

  #### Returns DepositRequest

  - Defined in src/protobuf/pb_pb.d.ts:1274

### setPaymentAccountKey

- setPaymentAccountKey(value: string | Uint8Array): DepositRequest

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DepositRequest

  - Defined in src/protobuf/pb_pb.d.ts:1279

### setTradeId

- setTradeId(value: string): DepositRequest

- #### Parameters

  - ##### value: string

  #### Returns DepositRequest

  - Defined in src/protobuf/pb_pb.d.ts:1257

### setUid

- setUid(value: string): DepositRequest

- #### Parameters

  - ##### value: string

  #### Returns DepositRequest

  - Defined in src/protobuf/pb_pb.d.ts:1260

### toObject

- toObject(includeInstance?: boolean): DepositRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns DepositRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1282

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): DepositRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DepositRequest

  - Defined in src/protobuf/pb_pb.d.ts:1285

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DepositRequest, reader: BinaryReader): DepositRequest

- #### Parameters

  - ##### message: DepositRequest

  - ##### reader: BinaryReader

  #### Returns DepositRequest

  - Defined in src/protobuf/pb_pb.d.ts:1286

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: DepositRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: DepositRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1284

### `Static` toObject

- toObject(includeInstance: boolean, msg: DepositRequest): DepositRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DepositRequest

  #### Returns DepositRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1283

Generated using TypeDoc